import sys
import pygame

def clip(surf, rect):
    if type(rect) == tuple:
        rect = pygame.Rect(*rect)
    surf.set_clip(rect)
    image = surf.subsurface(surf.get_clip()).copy()
    surf.set_clip(None)
    return image

pygame.init()
screen = pygame.display.set_mode((100, 100))

path = sys.argv[1]
src_img = pygame.image.load(path).convert_alpha()
src_img.set_colorkey((255, 255, 255))

dimensions = (32, 32)
clip_r = pygame.Rect(0, 0, *dimensions)

counts = (int(src_img.get_width() / dimensions[0]), int(src_img.get_height() / dimensions[1]))
out_surf = pygame.Surface((counts[0] * 34, counts[1] * 34))
out_surf.fill((0, 255, 255))

for y in range(counts[1]):
    for x in range(counts[0]):
        clip_r.x = x * 32
        clip_r.y = y * 32
        img = clip(src_img, clip_r)
        img_2 = img.copy()
        img_2.fill((0, 0, 0))
        out_surf.blit(img_2, (x * 34 + 1, y * 34 + 1))
        out_surf.blit(img, (x * 34 + 1, y * 34 + 1))

pygame.image.save(out_surf, 'out.png')
    
pygame.quit()