#version 330

uniform sampler2D surface;
uniform sampler2D ui_surf;
uniform sampler2D lightmap;

out vec4 f_color;
in vec2 uv;

void main() {
  vec3 light_level = texture(lightmap, vec2(uv.x, 1.0 - uv.y)).rgb * 2;

  f_color = vec4(texture(surface, uv).rgb * (light_level * 0.8 + 0.25), 1.0);

  //vec2 px_uv = vec2(floor(uv.x * 400) / 400, floor(uv.y * 250) / 250);

  vec4 ui_color = texture(ui_surf, uv);
  if (ui_color.a > 0) {
    f_color = ui_color;
  }
}